MeshRibbon
Date: 2019-10-22

org.jmol.shapebio

## Class MeshRibbon

- java.lang.Object
- - org.jmol.shape.Shape
  - - org.jmol.shapebio.BioShapeCollection
    - - org.jmol.shapebio.Strands
      - - org.jmol.shapebio.MeshRibbon

-     public class MeshRibbon
      extends Strands

- - ### Field Summary

    - ### Fields inherited from class org.jmol.shapebio.Strands

      `isMesh`

    - ### Fields inherited from class org.jmol.shapebio.BioShapeCollection

      `atoms, bioShapes, isActive, madDnaRna, madHelixSheet, madOn, madTurnRandom`

    - ### Fields inherited from class org.jmol.shape.Shape

      `bsColixSet, bsSizeSet, isBioShape, ms, myType, RADIUS_MAX, shapeID, translucentAllowed, translucentLevel, vf, vwr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MeshRibbon()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `initShape()`

    - ### Methods inherited from class org.jmol.shapebio.BioShapeCollection

      `findNearestAtomIndex, getBioShape, getMpsShapeCount, getShapeState, getSizeG, initialize, initModelSet, replaceGroup, setAtomClickability, setModelVisibilityFlags, setPropBSC, setProperty, setShapeSizeRD`

    - ### Methods inherited from class org.jmol.shape.Shape

      `appendCmd, checkBoundsMinMax, checkObjectClicked, checkObjectDragged, checkObjectHovered, coordinateInRange, encodeColor, getColix, getColixA, getColixB, getColixI, getColorCommand, getColorCommandUnk, getFontCommand, getIndexFromName, getProperty, getPropertyData, getPropShape, getShapeDetail, getSize, getTranslucentLabel, initializeShape, setModelSet, setPropS, setSize, setSizeRD, wasClicked`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MeshRibbon

          public MeshRibbon()

  - ### Method Detail

    - #### initShape

          public void initShape()

      Overrides:
        `initShape` in class `BioShapeCollection`